Package ch.qos.logback.classic.gaffer

## Class ConfigurationDelegate

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.classic.gaffer.ConfigurationDelegate

All Implemented Interfaces:
  `ContextAware`, `groovy.lang.GroovyObject`

    public class ConfigurationDelegate
    extends ContextAwareBase
    implements groovy.lang.GroovyObject

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`ConfigurationDelegate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `appender​(java.lang.String name, java.lang.Class clazz)`
`void` `appender​(java.lang.String name, java.lang.Class clazz, groovy.lang.Closure closure)`
`void` `conversionRule​(java.lang.String conversionWord, java.lang.Class converterClass)`
`java.util.List<Appender>` `getAppenderList()`
`java.lang.Object` `getDeclaredOrigin()` The declared origin of status messages.
`groovy.lang.MetaClass` `getMetaClass()`
`java.lang.Object` `getProperty​(java.lang.String property)`
`java.lang.Object` `invokeMethod​(java.lang.String method, java.lang.Object arguments)`
`void` `jmxConfigurator()`
`void` `jmxConfigurator​(java.lang.String name)`
`void` `logger​(java.lang.String name, Level level)`
`void` `logger​(java.lang.String name, Level level, java.util.List<java.lang.String> appenderNames)`
`void` `logger​(java.lang.String name, Level level, java.util.List<java.lang.String> appenderNames, java.lang.Boolean additivity)`
`void` `receiver​(java.lang.String name, java.lang.Class aClass)`
`void` `receiver​(java.lang.String name, java.lang.Class aClass, groovy.lang.Closure closure)`
`void` `root​(Level level)`
`void` `root​(Level level, java.util.List<java.lang.String> appenderNames)`
`void` `scan()`
`void` `scan​(java.lang.String scanPeriodStr)`
`void` `setAppenderList​(java.util.List<Appender> value)`
`void` `setMetaClass​(groovy.lang.MetaClass mc)`
`void` `setProperty​(java.lang.String property, java.lang.Object value)`
`void` `statusListener​(java.lang.Class listenerClass)`
`java.lang.String` `timestamp​(java.lang.String datePattern)`
`java.lang.String` `timestamp​(java.lang.String datePattern, long timeReference)`
`void` `turboFilter​(java.lang.Class clazz)`
`void` `turboFilter​(java.lang.Class clazz, groovy.lang.Closure closure)`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurationDelegate

    public ConfigurationDelegate()

### Method Detail

#### scan

    public void scan()

#### root

    public void root​(Level level)

#### logger

    public void logger​(java.lang.String name,
                       Level level,
                       java.util.List<java.lang.String> appenderNames)

#### logger

    public void logger​(java.lang.String name,
                       Level level)

#### appender

    public void appender​(java.lang.String name,
                         java.lang.Class clazz)

#### receiver

    public void receiver​(java.lang.String name,
                         java.lang.Class aClass)

#### turboFilter

    public void turboFilter​(java.lang.Class clazz)

#### timestamp

    public java.lang.String timestamp​(java.lang.String datePattern)

#### jmxConfigurator

    public void jmxConfigurator()

#### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

Specified by:
  `getMetaClass` in interface `groovy.lang.GroovyObject`

#### setMetaClass

    public void setMetaClass​(groovy.lang.MetaClass mc)

Specified by:
  `setMetaClass` in interface `groovy.lang.GroovyObject`

#### invokeMethod

    public java.lang.Object invokeMethod​(java.lang.String method,
                                         java.lang.Object arguments)

Specified by:
  `invokeMethod` in interface `groovy.lang.GroovyObject`

#### getProperty

    public java.lang.Object getProperty​(java.lang.String property)

Specified by:
  `getProperty` in interface `groovy.lang.GroovyObject`

#### setProperty

    public void setProperty​(java.lang.String property,
                            java.lang.Object value)

Specified by:
  `setProperty` in interface `groovy.lang.GroovyObject`

#### getAppenderList

    public java.util.List<Appender> getAppenderList()

#### setAppenderList

    public void setAppenderList​(java.util.List<Appender> value)

#### getDeclaredOrigin

    public java.lang.Object getDeclaredOrigin()

Description copied from class: `ContextAwareBase`
The declared origin of status messages. By default 'this'. Derived classes may override this method to declare other origin.

Overrides:
  `getDeclaredOrigin` in class `ContextAwareBase`
Returns:
  the declared origin, by default 'this'

#### scan

    public void scan​(java.lang.String scanPeriodStr)

#### statusListener

    public void statusListener​(java.lang.Class listenerClass)

#### conversionRule

    public void conversionRule​(java.lang.String conversionWord,
                               java.lang.Class converterClass)

#### root

    public void root​(Level level,
                     java.util.List<java.lang.String> appenderNames)

#### logger

    public void logger​(java.lang.String name,
                       Level level,
                       java.util.List<java.lang.String> appenderNames,
                       java.lang.Boolean additivity)

#### appender

    public void appender​(java.lang.String name,
                         java.lang.Class clazz,
                         groovy.lang.Closure closure)

#### receiver

    public void receiver​(java.lang.String name,
                         java.lang.Class aClass,
                         groovy.lang.Closure closure)

#### turboFilter

    public void turboFilter​(java.lang.Class clazz,
                            groovy.lang.Closure closure)

#### timestamp

    public java.lang.String timestamp​(java.lang.String datePattern,
                                      long timeReference)

#### jmxConfigurator

    public void jmxConfigurator​(java.lang.String name)